doc::unibi_get_name(3)

NAME
unibi_get_name, unibi_set_name - access the name of a terminal object

SYNOPSIS
 #include <unibilium.h>

 const char *unibi_get_name(const unibi_term *ut);
 void unibi_set_name(unibi_term *ut, const char *s);

DESCRIPTION
"unibi_get_name" gets the name from ut; "unibi_set_name" sets the name to s.

Note that "unibi_set_name" simply stores the pointer it is given; it will not free s or make a copy of the string.

RETURN VALUE
"unibi_get_name" returns a pointer to the name of the terminal; this either comes from a terminfo entry (the part after the last '|' in the name section) or was set by "unibi_set_name".

SEE ALSO
unibilium.h(3), unibi_get_aliases(3), unibi_set_aliases(3)